#### Previous topic

scipy.io.hb_read

#### Next topic

scipy.io.wavfile.read

# scipy.io.hb_write

`scipy.io.``hb_write`(file, m, hb_info=None)

  Write HB-format file.

  Parameters:

  file : str-like or file-like

  > if a string-like object, file is the name of the file to read. If a file-like object, the data are read from it.

  m : sparse-matrix

  > the sparse matrix to write

  hb_info : HBInfo

  > contains the meta-data for write

  Returns: | None

  Notes

  At the moment not the full Harwell-Boeing format is supported. Supported features are:

  > - assembled, non-symmetric, real matrices
  > - integer for pointer/indices
  > - exponential format for float values, and int format